#
# spec file for package gtranslator
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gtranslator
Version:        1.9.13
Release:        7
License:        GPLv3+
Summary:        A GNOME po file editor with many bells and whistles
Group:          Development/Tools/Other
Url:            http://gtranslator.sourceforge.net
Source:         http://www.kabalak.net/gtranslator/download/releases/%{version}/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gtranslator-disable-update-db.patch bgo#636749 vuntz@opensuse.org -- Add --disable-update-mimedb configure option
Patch0:         gtranslator-disable-update-db.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gdl-devel
BuildRequires:  glib2-devel
# Needed for patch0
BuildRequires:  gnome-common
BuildRequires:  gnome-utils-devel
BuildRequires:  gtk2-devel >= 2.16
BuildRequires:  gtksourceview-devel
BuildRequires:  gtkspell-devel
BuildRequires:  gucharmap-devel
BuildRequires:  intltool
BuildRequires:  libgda-devel
BuildRequires:  libsoup-devel
BuildRequires:  libunique-devel
BuildRequires:  libxml2-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
Requires:       gsettings-desktop-schemas
Recommends:     %{name}-lang
%glib2_gsettings_schema_requires

%description
gtranslator is a comfortable po file editor with many bells and whistles.
It features many useful function which ease the work of translators of po
files imminently.


%package devel
Summary:        A GNOME po file editor with many bells and whistles
Group:          Development/Tools/Other
License:        GPLv3+

%description devel
gtranslator is a comfortable po file editor with many bells and whistles.
It features many useful function which ease the work of translators of po
files imminently.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0 -p1

%build
# Needed for patch0
NOCONFIGURE=1 gnome-autogen.sh
%configure \
	--disable-static \
	--disable-scrollkeeper \
	--disable-update-mimedb \
	--with-gtkspell \
	--with-dictionary
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
%suse_update_desktop_file %{name}
%find_lang %{name} %{?no_lang_C}
%fdupes $RPM_BUILD_ROOT

%clean
%{__rm} -rf %{buildroot}

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%dir %{_datadir}/gnome/help/%{name}/
%doc %{_datadir}/gnome/help/%{name}/C/
%dir %{_datadir}/omf/
%dir %{_datadir}/omf/%{name}/
%doc %{_datadir}/omf/%{name}/%{name}-C.omf
%doc %{_mandir}/man?/*
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/gtranslator.*
%{_datadir}/pixmaps/%{name}/

%files devel
%defattr(-, root, root)
%{_includedir}/gtranslator-2.0/
%{_libdir}/pkgconfig/gtranslator.pc
%{_datadir}/gtk-doc/html/%{name}/

%files lang -f %{name}.lang

%changelog
